# List trades

Retrieve details of all trades executed for a user by making use of certain filters. Please note that this is a <mark style="background-color:purple;">Private 🔒</mark> route which means it needs to be authorized by the account initiating this request.

> Note: You will need to include the JWT Auth token to request headers to access this endpoint. To get the JWT Auth Token, refer the [login](https://docs.brine.fi/tech/api-documentation/account/login) section of the documentation.

### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
GET /sapi/v1/trades/
```

### Request Headers <a href="#request-headers" id="request-headers"></a>

```json
{
  "Authorization": "JWT ***"
} 
```

### Query Params <a href="#query-params" id="query-params"></a>

| Field       | Type    | Mandatory | Description                              |
| ----------- | ------- | --------- | ---------------------------------------- |
| limit       | INTEGER | NO        | default 100                              |
| page        | INTEGER | NO        |                                          |
| market      | STRING  | NO        |                                          |
| start\_time | INTEGER | NO        |                                          |
| end\_time   | INTEGER | NO        |                                          |
| order\_by   | STRING  | NO        | default desc, allowed values\[asc, desc] |

#### Example

```bash
{baseurl}/sapi/v1/trades/?limit=10&page=1&market=ethusdc
```

#### Response <a href="#response" id="response"></a>

```json
{
  "status": "success",
  "message": "Trades Retrieved Successfully",
  "payload": [
    {
      "id": 7281,
      "price": "1134.0",
      "amount": "0.001",
      "total": "1.134",
      "fee_currency": "eth",
      "fee": "0.001",
      "fee_amount": "0.000001",
      "market": "ethusdc",
      "created_at": "2022-06-16T22:41:49+02:00",
      "taker_type": "sell",
      "side": "buy",
      "order_id": 1739940
    },
    {
      "id": 7280,
      "price": "1134.0",
      "amount": "0.001",
      "total": "1.134",
      "fee_currency": "eth",
      "fee": "0.001",
      "fee_amount": "0.000001",
      "market": "ethusdc",
      "created_at": "2022-06-16T22:37:56+02:00",
      "taker_type": "sell",
      "side": "buy",
      "order_id": 1739937
    }
  ]
}
```
